LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
_typelib_EnumTypeDescription Struct Reference

Type description of an enum. More...

`#include <typedescription.h>`

## Public Attributes
typelib_TypeDescription | aBase
| inherits all members of typelib_TypeDescription More...
sal_Int32 | nDefaultEnumValue
| first value of the enum More...
sal_Int32 | nEnumValues
| number of enum values More...
rtl_uString ** | ppEnumNames
| names of enum values More...
sal_Int32 * | pEnumValues
| values of enum (corresponding to names in similar order) More...

## Detailed Description

Type description of an enum.

The type class of this description is typelib_TypeClass_ENUM.

## Member Data Documentation

typelib_TypeDescription _typelib_EnumTypeDescription::aBase

inherits all members of typelib_TypeDescription

sal_Int32 _typelib_EnumTypeDescription::nDefaultEnumValue

first value of the enum

sal_Int32 _typelib_EnumTypeDescription::nEnumValues

number of enum values

sal_Int32* _typelib_EnumTypeDescription::pEnumValues

values of enum (corresponding to names in similar order)

rtl_uString** _typelib_EnumTypeDescription::ppEnumNames

names of enum values

The documentation for this struct was generated from the following file:

- typelib/typedescription.h